//
//  ActivityRingsView.swift
//  CapstoneProject WatchKit Extension
//
//  Created by Easten Wember on 2/25/22.
//

import SwiftUI //get access to WKInterface object representable
import Foundation
import HealthKit //get access to HKHealthStore


struct ActivityRingsView: WKInterfaceObjectRepresentable {
    let healthStore: HKHealthStore //healthstore constant assinged at init

    func makeWKInterfaceObject(context: Context) -> some WKInterfaceObject {
        let activityRingsObject = WKInterfaceActivityRing()

        let calendar = Calendar.current
        var components = calendar.dateComponents([.era, .year, .month, .day], from: Date())
        components.calendar = calendar

        let predicate = HKQuery.predicateForActivitySummary(with: components)
        let query = HKActivitySummaryQuery(predicate: predicate) { query, summaries, error in
            DispatchQueue.main.async {
                activityRingsObject.setActivitySummary(summaries?.first, animated: true)
            }
        }

        healthStore.execute(query) //execute query on healthstore

        return activityRingsObject
    }

    func updateWKInterfaceObject(_ wkInterfaceObject: WKInterfaceObjectType, context: Context) {

    }
}


//struct ActivityRingsView_Previews: PreviewProvider {
//    static var previews: some View {
//        ActivityRingsView()
//    }
//}
