//
//  CapstoneProjectApp.swift
//  CapstoneProject WatchKit Extension
//
//  Created by Easten Wember on 2/25/22.
//

import SwiftUI

@main
struct CapstoneProjectApp: App {
    //want all views toi have access to WorkoutManager...workoutManager becomes environmental Object
    @StateObject private var workoutManager = WorkoutManager()

    @SceneBuilder var body: some Scene {
        WindowGroup {
            NavigationView {
                StartView()
            }
            //isPresented parameter is binding to workoutManager's ShowingSummaryView ...if showSummaryView == true, then display it as a sheet that can be dismissed
            .sheet(isPresented: $workoutManager.showingSummaryView) {
                SummaryView()
            }
            //when a NavigationBiew is assigned an environmentObject, it automatically passes the environment onkect into views heirarchy
            .environmentObject(workoutManager) //environmentObject view modifer
        }
    }
}
