//
//  ControlsView.swift
//  CapstoneProject WatchKit Extension
//
//  Created by Easten Wember on 2/25/22.
//

import SwiftUI

struct ControlsView: View {
    @EnvironmentObject var workoutManager: WorkoutManager //env obj workoutManager so can control the view based on selection

    var body: some View {
        HStack {
            VStack {
                Button {
                    workoutManager.endWorkout() //if button pressed, call end workout from workoutManager
                } label: {
                    Image(systemName: "xmark")
                }
                .tint(.red)
                .font(.title2)
                Text("End")
            }
            VStack {
                Button {
                    workoutManager.togglePause() //if pause button, pause/resume based on curr status
                } label: {
                    Image(systemName: workoutManager.running ? "pause" : "play") // if workoutManager's var running == true/false
                }
                .tint(.yellow)
                .font(.title2)
                Text(workoutManager.running ? "Pause" : "Resume") //display approp text for status
            }
        }
    }
}

struct ControlsView_Previews: PreviewProvider {
    static var previews: some View {
        ControlsView().environmentObject(WorkoutManager())
    }
}
